Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/hangar.material
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/hangar.material	(revision 1671)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/hangar.material	(revision 1879)
@@ -11,5 +11,5 @@
 					max_light_count 3
 					vertex_program_name GameTools/ShadowMap/ShadowDistVS
-					fragment_program_name 					GameTools/ShadowMap/ShadowDistPS
+					fragment_program_name 										GameTools/ShadowMap/ShadowDistPS
 					set_light_view true
 					set_light_farplane true
@@ -18,6 +18,9 @@
 			}
 
-			ambient 0.5 0.5 0.5 1
-			diffuse 0.5 0.5 0.5 1
+			iteration once_per_light spot
+			//iteration once_per_light point
+
+			ambient 1.0 1.0 1.0 1
+			diffuse 1.0 1.0 1.0 1
 			specular 0 0 0 0
 			emissive 0 0 0
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_HPS.material
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_HPS.material	(revision 1565)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_HPS.material	(revision 1879)
@@ -108,9 +108,80 @@
 {
 	source GameTools_HPS_Smoke_L_Depth.hlsl
+	entry_point HPS_Smoke_L_Depth_VS
+	target vs_3_0
+} 
+
+fragment_program HPS_Smoke_L_Depth_PS hlsl
+{
+	source GameTools_HPS_Smoke_L_Depth.hlsl
+	entry_point HPS_Smoke_L_Depth_PS
+	target ps_3_0
+} 
+
+material HPS_SMOKE_L_Depth
+{
+	technique
+	{
+		pass
+		{	
+			IllumTechniques
+			{
+				RenderTechnique HPS
+				{
+					particle_script GameTools/FogLittle
+					perspective false
+					vparam_radius baseRadius
+					update_interval 1				
+				}
+				RenderTechnique SphericalBillboard
+				{
+					texture_unit_id		1					
+				}								
+			}
+				
+			vertex_program_ref HPS_Smoke_L_Depth_VS
+			{       
+				param_named_auto worldViewProj worldviewproj_matrix 
+				param_named_auto worldView worldview_matrix
+				param_named_auto worldViewInv inverse_worldview_matrix
+				param_named_auto Proj projection_matrix	
+				param_named_auto width viewport_width 	
+				param_named_auto height viewport_height								    
+			} 
+			fragment_program_ref  HPS_Smoke_L_Depth_PS
+			{ 
+				param_named_auto Proj projection_matrix
+				param_named_auto farplane far_clip_distance
+				param_named_auto nearplane near_clip_distance
+				
+				
+			}
+			
+			depth_check off			
+			depth_write off
+			scene_blend alpha_blend
+			
+			//impostor texture
+			texture_unit
+			{
+				//filtering none
+			}
+			//scene depth texture
+			texture_unit
+			{
+				filtering none
+			}
+		}
+	}
+}
+
+vertex_program HPS_Smoke_L_Depth_Illum_VS hlsl
+{
+	source GameTools_HPS_Smoke_L_Depth.hlsl
 	entry_point HPS_Smoke_L_Depth_Illum_VS
 	target vs_3_0
 } 
 
-fragment_program HPS_Smoke_L_Depth_PS hlsl
+fragment_program HPS_Smoke_L_Depth_Illum_PS hlsl
 {
 	source GameTools_HPS_Smoke_L_Depth.hlsl
@@ -119,15 +190,6 @@
 } 
 
-//fragment_program HPS_Smoke_L_Depth_PS asm
-//{
-//	source HPS_Illum_L_PS.asm
-//	syntax ps_3_0
-//} 
-
-
-
-
-
-material HPS_SMOKE_L_Depth
+
+material HPS_SMOKE_L_Depth_Illum
 {
 	technique
@@ -156,5 +218,5 @@
 			}
 				
-			vertex_program_ref HPS_Smoke_L_Depth_VS
+			vertex_program_ref HPS_Smoke_L_Depth_Illum_VS
 			{       
 				param_named_auto worldViewProj worldviewproj_matrix 
@@ -165,5 +227,5 @@
 				param_named_auto height viewport_height								    
 			} 
-			fragment_program_ref  HPS_Smoke_L_Depth_PS
+			fragment_program_ref  HPS_Smoke_L_Depth_Illum_PS
 			{ 
 				param_named_auto Proj projection_matrix
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/MetalTeapot.material
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/MetalTeapot.material	(revision 1863)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/MetalTeapot.material	(revision 1879)
@@ -196,5 +196,5 @@
 			param_named F0 float3 0.95 0.95 0.95
 			param_named SingleBounce float 0.0
-			param_named refIndex float 0.909			
+			param_named refIndex float 0.6667			
 		} 
 		
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_HPS_Smoke_L_Depth.hlsl
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_HPS_Smoke_L_Depth.hlsl	(revision 1838)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_HPS_Smoke_L_Depth.hlsl	(revision 1879)
@@ -21,7 +21,5 @@
 {
 	VS_OUT OUT;
-	//texCoord.z = normalize(texCoord.z);
-	//texCoord.w = normalize(texCoord.w);
-    float2 offset = texCoord.zw * baseRadius;
+	float2 offset = texCoord.zw * baseRadius;
 	OUT.r = abs(offset.x);
 	float4 cPosition;   
@@ -30,6 +28,6 @@
 	cPosition.xy += offset;	
 	OUT.cPosition = cPosition;
+	OUT.cPosition.z += baseRadius;
 	OUT.cPosition.z *= -1;
-	//OUT.cPosition.z = OUT.cPosition.z - OUT.r;	
 	
     OUT.hPosition = mul( Proj, cPosition );
@@ -48,7 +46,7 @@
 						uniform sampler2D Texture  : register(s0),
 						uniform sampler2D depthTexture : register(s1),
+						uniform sampler2D illumVolume : register(s2),
 						uniform float farplane,
-						uniform float width = 800,
-						uniform float height = 600
+						uniform float nearplane						
 							) : COLOR
 {
@@ -60,27 +58,23 @@
 	
 	if(b == 0)
-		discard;
-	
-	float2 halfpixel = float2(1.0 / width, 1.0 / height);
-    IN.screenCoord += halfpixel;
-   
+		discard;	
+
 	float sceneDepth = tex2D(depthTexture, IN.screenCoord).r;
 	if(sceneDepth == 0)
-		//discard;
 		sceneDepth = farplane;
-	
+	   
 	float size = 2.0 * IN.r;
 	float frontDepth = IN.cPosition.z + size * (f - 0.5);
 	float backDepth = IN.cPosition.z +  size * (b - 0.5);
 	
-	alpha = (sceneDepth - frontDepth) / (backDepth - frontDepth);
+	float far = min(sceneDepth, backDepth);
+	float near = max(frontDepth, nearplane);
+	
+	alpha = (far - near) / (backDepth - frontDepth);
 	alpha = saturate(alpha) * impostor.a;
 	
-	//Color = float4(Color.g, 0, 0, 1);
+	
 	Color = float4(1, 1, 1, alpha) * IN.Color;
-	//Color = float4(b - 0.5, 0, 0, 1);
-	//Color = sceneDepth / farplane;
-	//Color = 1;
-	return Color; 
+    return Color; 
 	
 }
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/particle/GameTools.particle
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/particle/GameTools.particle	(revision 1525)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/particle/GameTools.particle	(revision 1879)
@@ -46,5 +46,5 @@
 	renderer sprite
 	
-	material		HPS_SMOKE_L_Depth
+	material		HPS_SMOKE_L_Depth_Illum
 	//material		GameTools/SpriteShader
 	particle_width  1.6
@@ -125,2 +125,68 @@
 }
 
+GameTools/FogBig
+{
+	renderer sprite
+	
+	material		HPS_SMOKE_L_Depth
+	
+	particle_width  20.0
+    particle_height 20.0
+    cull_each       false
+    quota           50
+    billboard_type  point
+    sorted			true
+    
+    // Area emitter
+    emitter Box
+    {
+       colour 1 1 1 1
+       emission_rate   220
+       time_to_live    0
+       velocity    	   0
+       width           5000       
+       height          10
+       depth           5000
+    }
+
+  //  affector ColourFader2
+ //  {
+  //     alpha1 +0.5
+  //     alpha2 -0.5
+  //     state_change 3
+  //  }
+}
+
+GameTools/FogLittle
+{
+	material        HPS_SMOKE_S
+	renderer sprite
+    particle_width  80
+    particle_height 80
+    cull_each       false
+    quota           400
+    billboard_type  point
+    
+    // Area emitter
+    emitter Ellipsoid
+    {
+        colour 1 1 1 0
+        
+        angle           160
+        emission_rate   300
+        time_to_live    4
+        direction       0 1 0
+        velocity    	10 
+        
+        width           200        
+        height          200
+        depth           100  
+    }  
+
+    affector ColourFader2
+    {
+       alpha1 +0.5
+       alpha2 -0.5
+       state_change 2
+    }
+}
Index: /GTP/trunk/App/Demos/Illum/Ogre/src/HierarchicalSystem/include/HierarchicalSystem.h
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/HierarchicalSystem/include/HierarchicalSystem.h	(revision 1834)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/HierarchicalSystem/include/HierarchicalSystem.h	(revision 1879)
@@ -27,4 +27,6 @@
 
 
+int scene = 2;
+
 // Listener class for frame updates
 class ParticleDemoFrameListener : public ExampleFrameListener
@@ -32,5 +34,4 @@
 protected:
 	
-	unsigned long framecount;
 	SceneNode* lightNode;
 
@@ -40,6 +41,5 @@
 				 
     {
-		this->lightNode = lightNode;
-		framecount = 0;		
+		this->lightNode = lightNode;		
     }
 
@@ -48,11 +48,12 @@
 		bool result = ExampleFrameListener::frameStarted(evt);
 		
-		Timer* timer = Root::getSingleton().getTimer();
-		
-		float t = (float) timer->getMilliseconds() / 2000.0;
-		float r = 150;
-		lightNode->setPosition( r * sin(t), r * sin(5 * t) + 200 , r * cos(t));
-
-       framecount++;
+		if(scene == 1)
+		{
+			Timer* timer = Root::getSingleton().getTimer();
+			
+			float t = (float) timer->getMilliseconds() / 2000.0;
+			float r = 150;
+			lightNode->setPosition( r * sin(t), r * sin(5 * t) + 200 , r * cos(t));
+		}      
         return result;     
     }
@@ -82,7 +83,8 @@
 	 virtual void chooseSceneManager(void)
     {
-		ExampleApplication::chooseSceneManager();
-        // Get the SceneManager, in this case a generic one
-       // mSceneMgr = mRoot->createSceneManager("TerrainSceneManager");
+		if(scene == 1)
+		 ExampleApplication::chooseSceneManager();
+		else if(scene == 2)
+         mSceneMgr = mRoot->createSceneManager("TerrainSceneManager");
     }
 
@@ -94,12 +96,9 @@
 		OgreIlluminationManager::getSingleton().setMainViewport(mWindow->getViewport(0));
 		
-		//std::string terrain_cfg("terrain.cfg");
-		//mSceneMgr -> setWorldGeometry( terrain_cfg );
-
+		
 		Root::getSingleton()._setCurrentSceneManager(mSceneMgr);
-		mCamera->setPosition(0,150,100);
-		mCamera->setDirection(0,0,-1);
+		
 		mCamera->setFOVy(Radian(Degree(80)));
-		mCamera->setFarClipDistance(1000);
+		mCamera->setFarClipDistance(5000);
 		// Set ambient light
         mSceneMgr->setAmbientLight(ColourValue(1, 1, 1));
@@ -107,34 +106,46 @@
 		// Skybox
         mSceneMgr->setSkyBox(true, "Examples/EveningSkyBox", 10);
-		SceneNode* rootNode = mSceneMgr->getRootSceneNode();
-					
-      /*
-		//init objects
-		Entity* kupola = mSceneMgr->createEntity("kupola", "kupola.mesh");		
-				
-		//init nodes
-		kupolaNode = rootNode->createChildSceneNode( "kupola" );
-		kupolaNode->rotate(Vector3(0,1,0),Radian(Degree(90)));
-		//kupolaNode->setPosition(0, -150, 0);
-		kupolaNode->attachObject( kupola );
-		kupolaNode->scale(50,50,50);		
-		kupolaNode->_updateBounds();
-		MeshPtr kmesh = kupola->getMesh();
-		kmesh->buildTangentVectors(0,1);*/
+		
+		
 
-		Entity* head = mSceneMgr->createEntity("head", "athene.mesh");
-		SceneNode* headNode = rootNode->createChildSceneNode("head");
-		head->setMaterialName("GameTools/Standard");
-		headNode->attachObject(head);
-		//headNode->setScale(1.5,1.5,1.5);
-		AxisAlignedBox bbox = head->getBoundingBox();
-		headNode->setPosition(0,80,20);		
-		headNode->_updateBounds();
+		
 
-		ParticleSystem* pSys1 = mSceneMgr->createParticleSystem("psys1", "GameTools/Big");
-		pSys1->setKeepParticlesInLocalSpace(false);
-		SceneNode *pSysNode = rootNode->createChildSceneNode("psys1");
-		pSysNode->attachObject(pSys1);
-		pSysNode->setPosition(0,0,0);
+	//	OgreIlluminationManager::getSingleton().createGlobalRun(ILLUMRUN_PHASE_TEXTURE);
+	//	OgreIlluminationManager::getSingleton().updateGlobalRun(ILLUMRUN_PHASE_TEXTURE, 1);
+	//	OgreIlluminationManager::getSingleton().savePhaseTextureToFile("phase.dds");
+
+		
+		if(scene == 1)
+			createScene1();
+		else if(scene == 2)
+			createScene2();
+
+
+		OgreIlluminationManager::getSingleton().initTechniques();
+
+   }
+	
+   void createScene1()
+   {
+	   mCamera->setPosition(0,150,100);
+	   mCamera->setDirection(0,0,-1);
+
+	   SceneNode* rootNode = mSceneMgr->getRootSceneNode(); 
+
+	   Entity* head = mSceneMgr->createEntity("head", "athene.mesh");
+	   SceneNode* headNode = rootNode->createChildSceneNode("head");
+	   head->setMaterialName("GameTools/Standard");
+	   headNode->attachObject(head);
+	   //headNode->setScale(1.5,1.5,1.5);
+	   AxisAlignedBox bbox = head->getBoundingBox();
+	   headNode->setPosition(0,80,20);		
+	   headNode->_updateBounds();
+
+
+       ParticleSystem* pSys1 = mSceneMgr->createParticleSystem("psys1", "GameTools/Big");
+	   pSys1->setKeepParticlesInLocalSpace(false);
+	   SceneNode *pSysNode = rootNode->createChildSceneNode("psys1");
+	   pSysNode->attachObject(pSys1);
+	   pSysNode->setPosition(0,0,0);
 		
 		//Init lights
@@ -151,10 +162,20 @@
 		bbs->setMaterialName("Flare");
 		mainLightNode->attachObject(bbs);
+   }
 
-	//	OgreIlluminationManager::getSingleton().createGlobalRun(ILLUMRUN_PHASE_TEXTURE);
-	//	OgreIlluminationManager::getSingleton().updateGlobalRun(ILLUMRUN_PHASE_TEXTURE, 1);
-	//	OgreIlluminationManager::getSingleton().savePhaseTextureToFile("phase.dds");
+   void createScene2()
+   {
+        mCamera->setPosition(0,150,100);
+	   mCamera->setDirection(0,0,-1);
 
-		OgreIlluminationManager::getSingleton().initTechniques();
+	   SceneNode* rootNode = mSceneMgr->getRootSceneNode();
+	   std::string terrain_cfg("terrain.cfg");
+	   mSceneMgr -> setWorldGeometry( terrain_cfg );
+
+	   ParticleSystem* pSys1 = mSceneMgr->createParticleSystem("psys1", "GameTools/FogBig");
+	   pSys1->setKeepParticlesInLocalSpace(false);
+	   SceneNode *pSysNode = rootNode->createChildSceneNode("psys1");
+	   pSysNode->attachObject(pSys1);
+	   pSysNode->setPosition(600,-50,600);
 		
    }
@@ -169,4 +190,6 @@
 		 mRoot->addFrameListener(mFrameListener);
 		 mRoot->addFrameListener(&OgreIlluminationManager::getSingleton());
+
+		 
 		
     }
Index: /GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/include/DiffuseTest.h
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/include/DiffuseTest.h	(revision 1868)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/include/DiffuseTest.h	(revision 1879)
@@ -368,9 +368,24 @@
 	}
     
+	void createCamera(void)
+    {
+        // Create the camera
+        mCamera = mSceneMgr->createCamera("PlayerCam");
+		
+		SceneNode* camNode = mSceneMgr->getRootSceneNode()->createChildSceneNode("mainCameraNode");
+		camNode->attachObject(mCamera);
+       //camNode->setPosition(Vector3(0,1,0));
+        // Position it at 500 in Z direction
+        //mCamera->setPosition(Vector3(0,0,500));
+        // Look back along -Z
+        //mCamera->lookAt(Vector3(0,0,-300));
+        mCamera->setNearClipDistance(5);
+
+    }
 
 	void createScene(void)
     {
 
-		createPostproc();
+		//createPostproc();
 		
 		OgreIlluminationManager::getSingleton().setMainCamera(mCamera);
@@ -381,5 +396,5 @@
 		Root::getSingleton()._setCurrentSceneManager(mSceneMgr);
 
-		mCamera->setPosition(0,1,0);		
+		//mCamera->setPosition(0,1,0);		
 		mCamera->setFOVy(Radian(Degree(80)));
 		mCamera->setFarClipDistance(200);
@@ -643,5 +658,9 @@
 		SceneNode* roomNode = rootNode->createChildSceneNode();
 		roomNode->attachObject(room);
-		roomNode->_updateBounds();		
+		roomNode->_updateBounds();	
+
+
+		capture->addAnimableNode(objectNode);
+		capture->addAnimableNode(mCamera->getParentSceneNode());
 
 		mSceneMgr->setShadowTechnique(SHADOWTYPE_NONE);
Index: /GTP/trunk/App/Demos/Illum/Ogre/src/Common/include/FrameCapture.h
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/Common/include/FrameCapture.h	(revision 1847)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/Common/include/FrameCapture.h	(revision 1879)
@@ -79,5 +79,5 @@
 	 isRecording = false;
 	 isSaving = false;
-	 framerate = 20;
+	 framerate = 15;
 	 frameTime = 1000 / framerate;
 	 lastTime = 0;
Index: /GTP/trunk/App/Demos/Illum/Ogre/src/ReflectionTest/include/ReflectionTest.h
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/ReflectionTest/include/ReflectionTest.h	(revision 1863)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/ReflectionTest/include/ReflectionTest.h	(revision 1879)
@@ -30,5 +30,5 @@
 #include "FrameCapture.h"
 
-int scene = 3;
+int scene = 1;
 FrameCapture* capture;
 
@@ -311,12 +311,21 @@
      	SceneNode* rootNode = mSceneMgr->getRootSceneNode();
 		
-		mCamera->setPosition(0.532,1.232,1.529);
-		mCamera->lookAt(Vector3(0,1.2,0.0));
-		
-		Entity* object = mSceneMgr->createEntity("object", "teapot.mesh");
+		mCamera->getParentSceneNode()->translate(1.1,0.8,1.0);
+		//mCamera->lookAt(Vector3(0,1.2,0.0));
+		
+		bool teapot = true;
+		Entity* object;
+		if(teapot)
+		object = mSceneMgr->createEntity("object", "teapot.mesh");
+		else
+          object = mSceneMgr->createEntity("object", "sphere.mesh");
+
 		object->setMaterialName("MetalTeapotMultipleBounce");
 		objectNode = rootNode->createChildSceneNode("objectNode");
 		objectNode->attachObject(object);
+		if(teapot)
 		objectNode->scale(0.5,0.5,0.5);
+		else
+		objectNode->scale(0.005,0.005,0.005);
 		//objectNode->scale(0.005,0.005,0.005);
 		objectNode->setPosition(0,1.2,0);
